API ReferenceBrand kits
Get a brand kit's learned look
Status, the look in plain words, palette, rules (yours and the learned ones), examples, and what learning now would cost (learnEstimate, free to read). While status is learning, read again every 30–60 seconds; learning takes a few minutes.
Authorization
api-key AuthorizationBearer <token>
Workspace API key (nim_live_...)
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/v1/brand-kits/497f6eca-6276-4993-bfeb-53cbbbba6f08/style"{ "brandKitId": "0d0050df-b55b-4bc4-9157-db98df0f07d0", "brandKitName": "Brewhaus", "status": "empty", "version": 2, "learnedAt": "2019-08-24T14:15:22Z", "lastError": "string", "summary": "string", "palette": [ { "hex": "#F0530F", "role": "background", "share": 0.32 } ], "fonts": { "heading": "string", "body": "string", "note": "string" }, "doNots": [ "string" ], "recipes": [ { "contentType": "promo", "label": "Bold promo", "description": "string" } ], "rules": [ { "id": "learned:0", "text": "Headlines are short and set in heavy type.", "source": "LEARNED", "enabled": true } ], "examples": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "source": "media", "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2", "status": "pending", "contentType": "promo", "previewUrl": "string" } ], "exampleCount": 8, "minExamples": 3, "maxExamples": 50, "learnEstimate": { "creditsMax": 60, "newExamples": 6 }, "creditsAvailable": 1840, "creditsUsed": 52, "job": { "id": "string", "stage": "resolve", "percent": 40 }}Empty